import os

BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))


DEBUG = True

MAIN_INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'client',
]

MAIN_MIDDLEWARE_CLASSES = [
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.auth.middleware.SessionAuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
    'django.middleware.security.SecurityMiddleware',
]

if DEBUG:
    from chi.dev.settings import *
else:
    from chi.prod.settings import *

INSTALLED_APPS = MAIN_INSTALLED_APPS + MORE_INSTALLED_APPS
MIDDLEWARE_CLASSES = MAIN_MIDDLEWARE_CLASSES + MORE_MIDDLEWARE_CLASSES

WSGI_APPLICATION = 'chi.wsgi.application'
